import { Observable } from 'rxjs/Observable';
import { Device } from './device';
import { TransportContainer } from '../transport/transport-container';
export declare class DeviceManager {
    transport: TransportContainer;
    devices: Array<Device>;
    activeDeviceIndex: number;
    private httpTimeout;
    constructor();
    setHttpTimeout(newTimeout: number): void;
    getHttpTimeout(): number;
    connect(uri: any): Observable<any>;
    connectBridge(uri: string): Observable<any>;
    connectLocal(deviceName: string): Observable<any>;
    getActiveDevice(): Device;
    setActiveDevice(_activeDeviceIndex: number): void;
    addDeviceFromDescriptor(uri: string, deviceDescriptor: any): void;
    deviceExists(uri: string, deviceDescriptor: any): number;
    private xmlToJson(data);
    getLatestFirmwareVersionFromArray(firmwareVersionsArray: string[]): string;
    getLatestFirmwareVersionFromUrl(firmwareUrl: string): Promise<string>;
    getFirmwareVersionsFromUrl(firmwareUrl: string): Promise<{}>;
}
