import { Observable } from 'rxjs/Observable';
import { GenericInstrument } from '../generic-instrument';
import { AwgChannel } from './awg-channel';
import { TransportContainer } from '../../../transport/transport-container';
import { SettingsObject } from './awg-instrument';
export declare class AwgInstrument extends GenericInstrument {
    readonly numChans: number;
    readonly chans: Array<AwgChannel>;
    constructor(_transport: TransportContainer, _awgInstrumentDescriptor: any);
    private setArbitraryWaveform(chans, waveforms, dataTypes);
    getCurrentState(chans: number[]): Observable<any>;
    setRegularWaveform(chans: number[], settings: SettingsObject[]): Observable<any>;
    setRegularWaveformJson(chans: number[], settings: SettingsObject[]): {
        "awg": {};
    };
    setRegularWaveformParse(chan: any, responseObject: any): any;
    runJson(chans: number[]): {
        "awg": {};
    };
    runParse(chan: any, responseObject: any): any;
    run(chans: number[]): Observable<any>;
    stop(chans: number[]): Observable<any>;
}
export interface SettingsObject {
    signalType: string;
    signalFreq: number;
    vpp: number;
    vOffset: number;
}
