"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Observable_1 = require("rxjs/Observable");
var GenericInstrument = /** @class */ (function () {
    function GenericInstrument(_transport, _endpoint) {
        this.endpoint = '';
        this.transport = _transport;
        this.endpoint = _endpoint;
    }
    GenericInstrument.prototype._genericResponseHandler = function (commandObject) {
        var _this = this;
        return Observable_1.Observable.create(function (observer) {
            _this.transport.writeRead('/', JSON.stringify(commandObject), 'json').subscribe(function (arrayBuffer) {
                var data;
                try {
                    var stringify = String.fromCharCode.apply(null, new Int8Array(arrayBuffer.slice(0)));
                    console.log(stringify);
                    data = JSON.parse(stringify);
                }
                catch (e) {
                    observer.error(e);
                    return;
                }
                if (data == undefined || data.agent != undefined) {
                    observer.error(data);
                    return;
                }
                for (var instrument in data) {
                    if (instrument === 'log') {
                        for (var chanType in data[instrument]) {
                            for (var channel in data[instrument][chanType]) {
                                if (data[instrument][chanType][channel][0].statusCode > 0) {
                                    observer.error(data);
                                    return;
                                }
                            }
                        }
                    }
                    else {
                        for (var channel in data[instrument]) {
                            if (data[instrument][channel][0].statusCode > 0) {
                                observer.error(data);
                                return;
                            }
                        }
                    }
                }
                observer.next(data);
                //Handle device errors and warnings
                observer.complete();
            }, function (err) {
                observer.error(err);
            }, function () {
                observer.complete();
            });
        });
    };
    return GenericInstrument;
}());
exports.GenericInstrument = GenericInstrument;
//# sourceMappingURL=generic-instrument.js.map