import { Observable } from 'rxjs/Observable';
import { LaChannel } from './la-channel';
import { GenericInstrument } from '../generic-instrument';
import { Waveform } from '../../../data-types/waveform';
import { TransportContainer } from '../../../transport/transport-container';
export declare class LaInstrument extends GenericInstrument {
    readonly numChans: number;
    readonly chans: Array<LaChannel>;
    readonly numDataBuffers: number;
    readonly dataBuffer: Array<Waveform[]>;
    private dataBufferWriteIndex;
    dataBufferReadIndex: number;
    private commandUtility;
    rawPacket: ArrayBuffer;
    constructor(_transport: TransportContainer, _laInstrumentDescriptor: any);
    getCurrentStateJson(chans: number[]): {
        la: {};
    };
    getCurrentState(chans: number[]): Observable<any>;
    setParametersJson(chans: number[], bitmasks: number[], sampleFreqs: number[], bufferSizes: number[], triggerDelays: number[]): {
        "la": {};
    };
    setParametersParse(chan: any, responseObject: any): string;
    setParameters(chans: number[], bitmasks: number[], sampleFreqs: number[], bufferSizes: number[], triggerDelays: number[]): Observable<any>;
    read(chans: number[]): Observable<any>;
}
