import { Observable } from 'rxjs/Observable';
import { GenericInstrument } from '../../generic-instrument';
import { TransportContainer } from '../../../../transport/transport-container';
import { LoggerAnalogChannel } from './logger-analog-channel';
import { LoggerInstruments } from '../logger-command';
export declare class LoggerAnalogInstrument extends GenericInstrument {
    readonly chans: LoggerAnalogChannel[];
    readonly numChans: number;
    readonly fileFormat: number;
    readonly fileRevision: number;
    private loggerCommand;
    constructor(_transport: TransportContainer, _loggerInstrumentDescriptor: any);
    setParameters(chans: number[], maxSampleCounts: number[], gains: number[], vOffsets: number[], sampleFreqs: number[], startDelays: number[], overflows: Array<'stop' | 'circular'>, storageLocations: string[], uris: string[]): Observable<any>;
    run(instrument: LoggerInstruments, chans: number[]): Observable<any>;
    stop(instrument: LoggerInstruments, chans: number[]): Observable<any>;
    read(instrument: LoggerInstruments, chans: number[], startIndices: number[], counts: number[]): Observable<any>;
    getCurrentState(instrument: LoggerInstruments, chans: number[]): Observable<any>;
}
