"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var generic_instrument_1 = require("../../generic-instrument");
var logger_analog_channel_1 = require("./logger-analog-channel");
var logger_command_1 = require("../logger-command");
var LoggerAnalogInstrument = /** @class */ (function (_super) {
    __extends(LoggerAnalogInstrument, _super);
    function LoggerAnalogInstrument(_transport, _loggerInstrumentDescriptor) {
        var _this = _super.call(this, _transport, '/') || this;
        _this.chans = [];
        _this.numChans = 0;
        _this.fileFormat = -1;
        _this.fileRevision = -1;
        _this.loggerCommand = new logger_command_1.LoggerCommand(_this);
        if (_loggerInstrumentDescriptor == undefined) {
            return _this;
        }
        _this.fileFormat = _loggerInstrumentDescriptor.fileFormat;
        _this.fileRevision = _loggerInstrumentDescriptor.fileRevision;
        //Populate logger analog supply parameters
        _this.numChans = _loggerInstrumentDescriptor.numChans;
        //Populate channels        
        for (var key in _loggerInstrumentDescriptor) {
            if (parseInt(key).toString() === key && !isNaN(parseInt(key))) {
                _this.chans.push(new logger_analog_channel_1.LoggerAnalogChannel(_loggerInstrumentDescriptor[key]));
            }
        }
        return _this;
    }
    LoggerAnalogInstrument.prototype.setParameters = function (chans, maxSampleCounts, gains, vOffsets, sampleFreqs, startDelays, overflows, storageLocations, uris) {
        return this.loggerCommand.analogSetParameters(chans, maxSampleCounts, gains, vOffsets, sampleFreqs, startDelays, overflows, storageLocations, uris);
    };
    LoggerAnalogInstrument.prototype.run = function (instrument, chans) {
        return this.loggerCommand.run('analog', chans);
    };
    LoggerAnalogInstrument.prototype.stop = function (instrument, chans) {
        return this.loggerCommand.stop('analog', chans);
    };
    LoggerAnalogInstrument.prototype.read = function (instrument, chans, startIndices, counts) {
        return this.loggerCommand.read('analog', chans, startIndices, counts);
    };
    LoggerAnalogInstrument.prototype.getCurrentState = function (instrument, chans) {
        return this.loggerCommand.getCurrentState('analog', chans);
    };
    return LoggerAnalogInstrument;
}(generic_instrument_1.GenericInstrument));
exports.LoggerAnalogInstrument = LoggerAnalogInstrument;
//# sourceMappingURL=logger-analog-instrument.js.map