"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var generic_instrument_1 = require("../../generic-instrument");
var logger_digital_channel_1 = require("./logger-digital-channel");
var logger_command_1 = require("../logger-command");
var LoggerDigitalInstrument = /** @class */ (function (_super) {
    __extends(LoggerDigitalInstrument, _super);
    function LoggerDigitalInstrument(_transport, _loggerInstrumentDescriptor) {
        var _this = _super.call(this, _transport, '/') || this;
        _this.chans = [];
        _this.numChans = 0;
        _this.fileFormat = -1;
        _this.fileRevision = -1;
        _this.loggerCommand = new logger_command_1.LoggerCommand(_this);
        if (_loggerInstrumentDescriptor == undefined) {
            return _this;
        }
        _this.fileFormat = _loggerInstrumentDescriptor.fileFormat;
        _this.fileRevision = _loggerInstrumentDescriptor.fileRevision;
        //Populate logger digital supply parameters
        _this.numChans = _loggerInstrumentDescriptor.numChans;
        //Populate channels        
        for (var key in _loggerInstrumentDescriptor) {
            if (key !== 'numChans') {
                _this.chans.push(new logger_digital_channel_1.LoggerDigitalChannel(_loggerInstrumentDescriptor[key]));
            }
        }
        return _this;
    }
    LoggerDigitalInstrument.prototype.setParameters = function (chans, maxSampleCounts, sampleFreqs, startDelays, overflows, storageLocations, uris, bitMasks) {
        return this.loggerCommand.digitalSetParameters(chans, maxSampleCounts, sampleFreqs, startDelays, overflows, storageLocations, uris, bitMasks);
    };
    LoggerDigitalInstrument.prototype.run = function (instrument, chans) {
        return this.loggerCommand.run('digital', chans);
    };
    LoggerDigitalInstrument.prototype.stop = function (instrument, chans) {
        return this.loggerCommand.stop('digital', chans);
    };
    LoggerDigitalInstrument.prototype.read = function (instrument, chans, startIndices, counts) {
        return this.loggerCommand.read('digital', chans, startIndices, counts);
    };
    LoggerDigitalInstrument.prototype.getCurrentState = function (instrument, chans) {
        return this.loggerCommand.getCurrentState('digital', chans);
    };
    return LoggerDigitalInstrument;
}(generic_instrument_1.GenericInstrument));
exports.LoggerDigitalInstrument = LoggerDigitalInstrument;
//# sourceMappingURL=logger-digital-instrument.js.map