import { Observable } from 'rxjs/Observable';
import { GenericInstrument } from '../generic-instrument';
import { OscChannel } from './osc-channel';
import { Waveform } from '../../../data-types/waveform';
import { TransportContainer } from '../../../transport/transport-container';
export declare class OscInstrument extends GenericInstrument {
    readonly numChans: number;
    readonly chans: OscChannel[];
    readonly numDataBuffers: number;
    readonly dataBuffer: Array<Array<Waveform>>;
    private dataBufferWriteIndex;
    dataBufferReadIndex: number;
    private commandUtility;
    rawPacket: ArrayBuffer;
    constructor(_transport: TransportContainer, _oscInstrumentDescriptor: any);
    getCurrentState(chans: number[]): Observable<any>;
    getCurrentStateJson(chans: number[]): {
        osc: {};
    };
    getCurrentStateParse(chan: any, responseObject: any): string;
    setParametersJson(chans: number[], offsets: number[], gains: number[], sampleFreqs: number[], bufferSizes: number[], delays: number[]): {
        "osc": {};
    };
    setParametersParse(chan: any, responseObject: any): string;
    setParameters(chans: number[], offsets: number[], gains: number[], sampleFreqs: number[], bufferSizes: number[], delays: number[]): Observable<any>;
    read(chans: number[]): Observable<any>;
}
