"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Observable_1 = require("rxjs/Observable");
var generic_instrument_1 = require("../generic-instrument");
var TriggerInstrument = /** @class */ (function (_super) {
    __extends(TriggerInstrument, _super);
    function TriggerInstrument(_transport, _triggerInstrumentDescriptor) {
        var _this = _super.call(this, _transport, '/') || this;
        _this.chans = [];
        return _this;
    }
    TriggerInstrument.prototype.setParametersJson = function (chans, sources, targetsArray) {
        var command = {
            "trigger": {}
        };
        chans.forEach(function (element, index, array) {
            command.trigger[chans[index]] =
                [
                    {
                        "command": "setParameters",
                        "source": sources[index],
                        "targets": targetsArray[index]
                    }
                ];
        });
        return command;
    };
    TriggerInstrument.prototype.setParametersParse = function (chan, command) {
        return 'set Parameters channel ' + chan + ' is done!';
    };
    //Tell OpenScope to run once and return a buffer
    TriggerInstrument.prototype.setParameters = function (chans, sources, targetsArray) {
        if (chans.length == 0) {
            return Observable_1.Observable.create(function (observer) {
                observer.complete();
            });
        }
        var command = this.setParametersJson(chans, sources, targetsArray);
        return _super.prototype._genericResponseHandler.call(this, command);
    };
    TriggerInstrument.prototype.getCurrentState = function (chans) {
        var command = this.getCurrentStateJson(chans);
        return _super.prototype._genericResponseHandler.call(this, command);
    };
    TriggerInstrument.prototype.getCurrentStateJson = function (chans) {
        var command = {
            trigger: {}
        };
        chans.forEach(function (element, index, array) {
            command.trigger[chans[index]] =
                [
                    {
                        command: 'getCurrentState'
                    }
                ];
        });
        return command;
    };
    TriggerInstrument.prototype.getCurrentStateParse = function (chan, responseObject) {
        return 'Success';
    };
    TriggerInstrument.prototype.singleJson = function (chans) {
        var command = {
            "trigger": {}
        };
        chans.forEach(function (element, index, array) {
            command.trigger[chans[index]] =
                [
                    {
                        "command": "single"
                    }
                ];
        });
        return command;
    };
    TriggerInstrument.prototype.singleParse = function (chan, command) {
        return 'single channel ' + chan + ' is done';
    };
    TriggerInstrument.prototype.single = function (chans) {
        //If no channels are active no need to talk to hardware
        if (chans.length == 0) {
            return Observable_1.Observable.create(function (observer) {
                observer.complete();
            });
        }
        var command = this.singleJson(chans);
        return _super.prototype._genericResponseHandler.call(this, command);
    };
    TriggerInstrument.prototype.stopJson = function (chans) {
        var command = {
            trigger: {}
        };
        chans.forEach(function (element, index, array) {
            command.trigger[chans[index]] = [{
                    command: "stop"
                }];
        });
        return command;
    };
    TriggerInstrument.prototype.stopParse = function (chan, command) {
        return 'stop done';
    };
    TriggerInstrument.prototype.stop = function (chans) {
        if (chans.length == 0) {
            return Observable_1.Observable.create(function (observer) {
                observer.complete();
            });
        }
        var command = this.stopJson(chans);
        return _super.prototype._genericResponseHandler.call(this, command);
    };
    TriggerInstrument.prototype.forceTriggerJson = function (chans) {
        var command = {
            "trigger": {}
        };
        chans.forEach(function (element, index, array) {
            command.trigger[chans[index]] =
                [
                    {
                        "command": "forceTrigger"
                    }
                ];
        });
        return command;
    };
    TriggerInstrument.prototype.forceTriggerParse = function (chan, command) {
        return 'force trigger done';
    };
    TriggerInstrument.prototype.forceTrigger = function (chans) {
        //If no channels are active no need to talk to hardware
        if (chans.length == 0) {
            return Observable_1.Observable.create(function (observer) {
                observer.complete();
            });
        }
        var command = this.forceTriggerJson(chans);
        return _super.prototype._genericResponseHandler.call(this, command);
    };
    return TriggerInstrument;
}(generic_instrument_1.GenericInstrument));
exports.TriggerInstrument = TriggerInstrument;
//# sourceMappingURL=trigger-instrument.js.map