"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SimulatedAwg = /** @class */ (function () {
    function SimulatedAwg(_simulatedDevice) {
        this.signalTypes = ['', '', '', '', '', '', '', ''];
        this.signalFreqs = [0, 0, 0, 0, 0, 0, 0, 0];
        this.vpps = [0, 0, 0, 0, 0, 0, 0, 0];
        this.vOffsets = [0, 0, 0, 0, 0, 0, 0, 0];
        this.simulatedDevice = _simulatedDevice;
    }
    SimulatedAwg.prototype.setArbitraryWaveform = function (chan) {
        return {
            statusCode: 0,
            wait: 0
        };
    };
    SimulatedAwg.prototype.setRegularWaveform = function (chan, commandObject) {
        this.signalTypes[chan] = commandObject.signalType;
        this.signalFreqs[chan] = commandObject.signalFreq;
        this.vpps[chan] = commandObject.vpp;
        this.vOffsets[chan] = commandObject.vOffset;
        this.simulatedDevice.setAwgSettings(commandObject, chan);
        return {
            "command": "setRegularWaveform",
            "statusCode": 0,
            "actualSignalFreq": commandObject.signalFreq,
            "actualVpp": commandObject.vpp,
            "actualVOffset": commandObject.vOffset,
            "wait": 0
        };
    };
    SimulatedAwg.prototype.run = function (chan) {
        this.simulatedDevice.setTriggerArmed(true);
        return {
            "command": "run",
            "statusCode": 0,
            "wait": 0
        };
    };
    SimulatedAwg.prototype.stop = function (chan) {
        this.simulatedDevice.setTriggerArmed(false);
        return {
            "command": "stop",
            "statusCode": 0,
            "wait": 0
        };
    };
    return SimulatedAwg;
}());
exports.SimulatedAwg = SimulatedAwg;
//# sourceMappingURL=simulated-awg.js.map