"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SimulatedTrigger = /** @class */ (function () {
    function SimulatedTrigger(_simulatedDevice) {
        this.sources = [{
                "instrument": null,
                "channel": null,
                "type": null,
                "lowerThreshold": null,
                "upperThreshold": null
            }];
        this.targets = {};
        this.simulatedDevice = _simulatedDevice;
    }
    SimulatedTrigger.prototype.setParameters = function (chan, source, targets) {
        this.sources[chan] = source;
        this.targets = targets;
        this.simulatedDevice.setTriggerTargets(targets);
        return {
            "command": "setParameters",
            "statusCode": 0,
            "wait": 0
        };
    };
    SimulatedTrigger.prototype.single = function () {
        return {
            "command": "single",
            "statusCode": 0,
            "wait": -1,
            "acqCount": 27
        };
    };
    SimulatedTrigger.prototype.stop = function () {
        return {
            "command": "stop",
            "statusCode": 0,
            "wait": -1
        };
    };
    SimulatedTrigger.prototype.forceTrigger = function () {
        return {
            "command": "forceTrigger",
            "statusCode": 2684354589,
            "wait": -1
        };
    };
    return SimulatedTrigger;
}());
exports.SimulatedTrigger = SimulatedTrigger;
//# sourceMappingURL=simulated-trigger.js.map