"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SimulatedDeviceHelper = /** @class */ (function () {
    function SimulatedDeviceHelper() {
        /*AWG Settings*/
        this.signalTypes = ['', '', '', '', '', '', '', ''];
        this.signalFreqs = [0, 0, 0, 0, 0, 0, 0, 0];
        this.vpps = [0, 0, 0, 0, 0, 0, 0, 0];
        this.vOffsets = [0, 0, 0, 0, 0, 0, 0, 0];
        /*Osc Parameters*/
        this.oscSampleFreqs = [0, 0, 0, 0, 0, 0, 0, 0];
        this.oscBufferSizes = [0, 0, 0, 0, 0, 0, 0, 0];
        this.laSampleFreqs = [0, 0, 0, 0, 0, 0, 0, 0];
        this.laBufferSizes = [0, 0, 0, 0, 0, 0, 0, 0];
    }
    SimulatedDeviceHelper.prototype.setEnumeration = function (enumeration) {
        this.enumeration = enumeration;
    };
    SimulatedDeviceHelper.prototype.getEnumeration = function () {
        return this.enumeration;
    };
    SimulatedDeviceHelper.prototype.setTriggerArmed = function (triggerArmed) {
        this.triggerArmed = triggerArmed;
    };
    SimulatedDeviceHelper.prototype.getTriggerArmed = function () {
        return this.triggerArmed;
    };
    SimulatedDeviceHelper.prototype.setAwgSettings = function (settings, channel) {
        this.signalTypes[channel] = settings.signalType;
        this.signalFreqs[channel] = settings.signalFreq;
        this.vpps[channel] = settings.vpp;
        this.vOffsets[channel] = settings.vOffset;
    };
    SimulatedDeviceHelper.prototype.getAwgSettings = function (channel) {
        return {
            signalType: this.signalTypes[channel],
            signalFreq: this.signalFreqs[channel],
            vpp: this.vpps[channel],
            vOffset: this.vOffsets[channel]
        };
    };
    //Not sure if needed after moving read to oscope but here we go anyways TODO tag for future delete
    SimulatedDeviceHelper.prototype.setOscParameters = function (parameters, channel) {
        this.oscSampleFreqs[channel] = parameters.sampleFreq;
        this.oscBufferSizes[channel] = parameters.bufferSize;
    };
    SimulatedDeviceHelper.prototype.getOscParameters = function (channel) {
        return {
            sampleFreq: this.oscSampleFreqs[channel],
            bufferSize: this.oscBufferSizes[channel]
        };
    };
    SimulatedDeviceHelper.prototype.setLaParameters = function (parameters, channel) {
        this.laSampleFreqs[channel] = parameters.sampleFreq;
        this.laBufferSizes[channel] = parameters.bufferSize;
    };
    SimulatedDeviceHelper.prototype.getLaParameters = function (channel) {
        return {
            sampleFreq: this.laSampleFreqs[channel],
            bufferSize: this.laBufferSizes[channel]
        };
    };
    SimulatedDeviceHelper.prototype.setTriggerTargets = function (targets) {
        this.targets = targets;
    };
    SimulatedDeviceHelper.prototype.getTriggerTargets = function () {
        return this.targets;
    };
    return SimulatedDeviceHelper;
}());
exports.SimulatedDeviceHelper = SimulatedDeviceHelper;
//# sourceMappingURL=simulated-device-helper.js.map