import { Observable } from 'rxjs/Observable';
import { SimulatedAwg } from './instruments/simulated-awg';
import { SimulatedDc } from './instruments/simulated-dc';
import { SimulatedOsc } from './instruments/simulated-osc';
import { SimulatedTrigger } from './instruments/simulated-trigger';
import { SimulatedLa } from './instruments/simulated-la';
import { SimulatedGpio } from './instruments/simulated-gpio';
import { SimulatedDeviceHelper } from './simulated-device-helper';
import { CommandUtility } from '../utilities/command-utility';
export declare class SimulatedDevice {
    streamState: {
        mode: string;
        remainingSamples: number;
    };
    descriptor: any;
    awg: SimulatedAwg;
    dc: SimulatedDc;
    la: SimulatedLa;
    osc: SimulatedOsc;
    trigger: SimulatedTrigger;
    gpio: SimulatedGpio;
    simDev: SimulatedDeviceHelper;
    commandUtility: CommandUtility;
    constructor(enumeration: any);
    send(command: any): Observable<any>;
    parseCommand(event: any): ArrayBuffer;
    processCommands(instrument: any, commandObject: any, params: any): any;
    processBinaryDataAndSend(commandObject: any): ArrayBuffer;
}
